Author Topic: CentOS6 Upgrade  (Read 164481 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Re: CentOS6 Upgrade
« Reply #75 on: March 30, 2017, 06:23:47 PM »
Any updates on apache not starting after mod_security is installed?

Offline
*
Re: CentOS6 Upgrade
« Reply #76 on: March 30, 2017, 06:33:21 PM »
Any updates on apache not starting after mod_security is installed?

I have looked at your previous posts on your issue and you had the same error as myself , look here

http://forum.centos-webpanel.com/centos-webpanel-bugs/bugs-in-cwppro-version-0-9-8-197/

Post #3 see if you have the same and if so you can resolve it as i did

Offline
*****
Re: CentOS6 Upgrade
« Reply #77 on: March 31, 2017, 05:15:22 AM »
Any updates on apache not starting after mod_security is installed?

Hi, backup configuration and try:
Code: [Select]
yum -y reinstall cwp-httpd
You can ask me to solve any problem with your server for some money in pm  ;)
Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor
Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp

Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services

Offline
*
Re: CentOS6 Upgrade
« Reply #78 on: April 02, 2017, 11:06:28 AM »
I upgraded CPW to the latest version, following the steps above and fixed some modules issues like ModSecurity (http://forum.centos-webpanel.com/apache/apache-failed-to-start-unable-to-load-modulesmod_security2-so/msg9882/#msg9882) and cloudflare but now I'm getting this error when I try to start Apache:

Quote
Starting httpd: AH00526: Syntax error on line 66 of /usr/local/apache/conf/httpd.conf:
Invalid command 'User', perhaps misspelled or defined by a module not included in the server configuration
At line 66 in httpd.conf: User nobody

Any ideas?
« Last Edit: April 02, 2017, 11:39:28 AM by Dan11 »

Offline
*
Re: CentOS6 Upgrade
« Reply #79 on: April 02, 2017, 11:39:59 AM »
Solved by:
yum remove cwp-httpd
yum install cwp-httpd

Offline
*
Re: CentOS6 Upgrade
« Reply #80 on: April 05, 2017, 12:01:41 PM »
after update:

Stopping httpd: [FAILED]
Starting httpd: httpd: Syntax error on line 507 of /usr/local/apache/conf/httpd.conf: Syntax error on line 2 of /usr/local/apache/conf.d/rpaf.conf: Cannot load modules/mod_rpaf.so into server: /usr/local/apache/modules/mod_rpaf.so: undefined symbol: ap_log_rerror
[FAILED]

please help me!

Offline
*
Re: CentOS6 Upgrade
« Reply #81 on: April 05, 2017, 01:03:06 PM »
have you disabled ngxin and installed apache only before this ?
You can try by deleting /usr/local/apache/conf.d/rpaf.conf file
AntiDDoS Protection (web + mail)
http://centos-webpanel.com/website-ddos-protection-proxy

Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp


Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor


Do you need Fast and FREE Support included for your CWP linux server?
http://centos-webpanel.com/noc-partner-list
Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services

Offline
*
Re: CentOS6 Upgrade
« Reply #82 on: April 05, 2017, 01:40:24 PM »
It's working. The question is, why now we lost the default url/webmail access, and why this is not communicated out?
Becuase now we using again a non-standart port. So, if the firewall/proxy is blocking every port and only 80/443 available, now the users can't use the webmail.
I will solve this in vhosts i think, but the questions are open :)

We'll think about it. But at the time should be used port 2030.
Thanks.

Hi CWP Team,

I have the same problem too. Is there any solution without using port?

Thanks in advance  ;)

Offline
*
Re: CentOS6 Upgrade
« Reply #83 on: April 05, 2017, 01:46:35 PM »
have you disabled ngxin and installed apache only before this ?
You can try by deleting /usr/local/apache/conf.d/rpaf.conf file


have you disabled ngxin and installed apache only before this ?yes
You can try by deleting /usr/local/apache/conf.d/rpaf.conf file   ...  but after removing :
Stopping httpd: [FAILED]
Starting httpd: AH00548: NameVirtualHost has no effect and will be removed in the next release /usr/local/apache/conf/sharedip.conf:1
AH00526: Syntax error on line 2 of /usr/local/apache/conf.d/ssl.conf:
Invalid command 'SSLProtocol', perhaps misspelled or defined by a module not included in the server configuration
[FAILED]

Offline
*
Re: CentOS6 Upgrade
« Reply #84 on: April 05, 2017, 03:59:58 PM »
Hi,

After the upgrade the system wasn't working. 404 error on the panel / server.

i did the restore, now i have the following error: Impossible to start httpd server

Stopping httpd: [FAILED]
Starting httpd: httpd: Syntax error on line 419 of /usr/local/apache/conf/httpd.conf: Syntax error on line 5 of /usr/local/apache/conf.d/mod_security.conf: Cannot load modules/mod_security2.so into server: /usr/local/apache/modules/mod_security2.so: undefined symbol: ap_log_error
[FAILED]


Offline
*
Re: CentOS6 Upgrade
« Reply #85 on: April 05, 2017, 04:09:44 PM »
Almost a tragedy...

Before I made any upgrade, Ive checked everything that it was suggested on the tutorial..
then..
Ive upgraded cwp with the script provided...and it really went ok..
then.. Ive did the same with apache... but there...all the problems started...

1st of all ive got an "Unexpected EOF while looking for matching on apache.sh line 137
then in line 144 got Unexpected token " " in conditional command on apache.sh
then in line 146, syntax error: unexpected end of file..

there the script dies..

first I thought that it had to do with the download of the script..so Ive downloaded againg..and started all over..
but with same result..
and for the worst..apache was down.. each time Ive started I got this error..
"Starting httpd: AH0526: Syntax error in line 66 /usr/local/apache/conf/httpd.conf "
" invalid command 'User', perhaps misspeled or defined blah bla.."

so Ive made sh apache.sh restore...

once it finished... apache was running againg.. but when ive tried to check my webpage... got a 500 error :- (
checked apache error log...
it said " Couldnt create child process /usr/local/sbin/suphp for /home/mywebsite/public_html/index.php

then it added a Warning: SuexecUserGroup directive requires SUEXEC Wrapper..

so, the apache restore was not totally successfull

looked for a solution on google.. but it was useless..

Ive entered cwp panel on port 2030
went to apache rebuild... and then I saw that I could try for an Apache/2.4.25 rebuild..
did that..
and fortunatelly it went ok..
once it finished check my domain again...
and.. ooooppss Error 500 once more...
checked againg apache error logs...
the error changed...it says "[ core:alert] [pid xxxxx:xxxxxx] [client xxxxxxx:xxxx] /home/mywebsite/public_html/.htaccess Unknown filter provider DEFLATE

well that was not totally a disaster... went back to CWP to apache configuration
looked for mod_deflate
found it! it was commented. so took out the #
save the config..

although it showed that apache was restated.. my website still showed error 500...
so, once more checked the apache error log, it showed the same..
so using ssh Ive restarted apache..
and Finally got my webpage back!!

So, Ive made this thread to show you that there is a problem with the apache.sh file.. hopefully CWP staff can fix it..
also the restore for apache...

so hope this helps..

regards

Offline
*
Re: CentOS6 Upgrade
« Reply #86 on: April 05, 2017, 06:20:31 PM »
Starting httpd: /bin/bash: /usr/local/apache/bin/httpd: No such file or directory

Please help !
« Last Edit: April 05, 2017, 06:30:14 PM by ida »

Offline
*
Re: CentOS6 Upgrade
« Reply #87 on: April 06, 2017, 12:05:22 AM »
Updating Apache causes problems

apache.sh: line 137: unexpected EOF while looking for matching ``'
apache.sh: line 146: unexpected token `▒' in conditional command
apache.sh: line 146: syntax error: unexpected end of file
[root@server src]#

Starting httpd: httpd: Syntax error on line 54 of /usr/local/apache/conf/httpd.conf: Cannot load modules/mod_antiloris.so into server: /usr/local/apache/modules/mod_antiloris.so: undefined symbol: ap_log_error
[FAILED]

Restored apache, kept CWP

Offline
*
Re: CentOS6 Upgrade
« Reply #88 on: April 06, 2017, 05:38:58 AM »
Hi Igor

I'm about to upgrade, but want to clarify something.

On the 15th of March you said:

Hello.

MySQL does NOT require upgrade if it higher 5.1!

Do you mean 5.1 or 5.5, I'm confused. My version is 5.1.73 so is that OK to use?

Thank you.

Nick

Offline
*
Re: CentOS6 Upgrade
« Reply #89 on: April 06, 2017, 05:57:36 AM »
hi every body, i got new version : :D CWP version: 0.9.8.201 [Get CWPpro]